
  <!DOCTYPE html>
  <html>
    <head>
      <title>simulation.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/queries/simulation.ts</td><td class="">98.39%</td><td class="">80%</td><td class="">62</td><td class="">61</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { useMutation, useQuery, useQueryClient } from &#x27;react-query&#x27;;
import { QUERIES } from &#x27;./queriesEnum&#x27;;
import {
  SimulationApi,
  SimulationInitialConditions,
  SimulationParameters
} from &#x27;../api/simulation&#x27;;
import { MUTATIONS } from &#x27;./mutationsEnum&#x27;;
import { SimulationMode } from &#x27;../pages/simulation&#x27;;

export const useGrowthKinetics = ({
  projectId
}: {
  projectId?: string | null;
}) =&gt;
  useQuery(
    [QUERIES.GROWTH_KINETICS],
    () =&gt; {
      return SimulationApi.getGrowthKinetics({
        projectId: projectId as string
      });
    },
    {
      enabled: Boolean(projectId)
    }
  );

export const useUpdateGrowthKinetics = () =&gt; {
  const queryClient = useQueryClient();
  return useMutation(
    ({
      projectId,
      batchId,
      data
    }: {
      projectId: string;
      batchId: string;
      data: object;
    }) =&gt; {
      return SimulationApi.recalculateGrowthKinetics({
        projectId,
        batchId,
        data
      });
    },
    {
      mutationKey: MUTATIONS.UPDATE_GROWTH_KINETICS,
      onSuccess() {
        queryClient.refetchQueries(QUERIES.INITIAL_DATA);
      }
    }
  );
};

export const useRunSimulation = (projectId: string) =&gt;
  useMutation(
    MUTATIONS.RUN_SIMULATION,
    (body: {
      initial_conditions: SimulationInitialConditions;
      simulation_parameters: SimulationParameters;
      simulation_mode: SimulationMode;
    }) =&gt; SimulationApi.runSimulation({ projectId, ...body })
  );
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/queries/simulation.ts&quot;,&quot;line&quot;:19,&quot;character&quot;:19,&quot;text&quot;:&quot;projectId as string&quot;,&quot;kind&quot;:3}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  